local elements = {}
local function add(arg1)
    arg1:Hide()
    elements[#elements+1] = arg1
end
local L = WeekKeys.L
local buttons = {}
local Rio_de_Janeiro = {20,30,40,50,60,70,80,90,100,110,121,133,146,161,177,195,214,236,259,285,314,345,380,418,459,505,556,612,673}

local function update()
    for i,btn in pairs(buttons) do
        local chest, key = C_MythicPlus.GetRewardLevelForDifficultyLevel(i+1) -- api for loot
        local dmghp = C_ChallengeMode.GetPowerLevelDamageHealthMod(i+1)
        btn:SetData(i+1, chest, key, Rio_de_Janeiro[i], dmghp.."%")
    end
end



WeekKeys.AddInit(
function()
    local scrframe = CreateFrame('Frame',nil,WeekKeys.WeekFrame.ScrollFrame)
    scrframe:SetFrameStrata("BACKGROUND")
    scrframe:SetSize(480,5)
    WeekKeys.WeekFrame.ScrollFrame:SetScrollChild(scrframe)
    scrframe:SetScript("OnShow",function()
        update()
        WeekKeys.WeekFrame.ScrollFrame:ClearAllPoints()
        WeekKeys.WeekFrame.ScrollFrame:SetPoint("TOPLEFT", WeekKeys.WeekFrame, "TOPLEFT", 4, -60);
        WeekKeys.WeekFrame.ScrollFrame:SetPoint("BOTTOMRIGHT",  WeekKeys.WeekFrame, "BOTTOMRIGHT", -5, 5);
    end)
    for i = 2, 30 do
        buttons[i-1] = WeekKeys.UI.MTableButton(nil, buttons[i-2] or scrframe, i % 2 == 0 and true or false)
    end

    add(scrframe)
    local fontstr = WeekKeys.WeekFrame:CreateFontString(nil , "ARTWORK", "GameFontNormal")
    fontstr:SetPoint("TOPLEFT", 20,-40)
    fontstr:SetWidth(35)
    fontstr:SetText(LEVEL_ABBR)
    add(fontstr)

    local fontstr2 = WeekKeys.WeekFrame:CreateFontString(nil , "ARTWORK", "GameFontNormal")
    fontstr2:SetPoint("TOPLEFT", 55,-40)
    fontstr2:SetText(MYTHIC_PLUS_WEEKLY_BEST)
    fontstr2:SetWidth(135)
    add(fontstr2)

    local fontstr3 = WeekKeys.WeekFrame:CreateFontString(nil , "ARTWORK", "GameFontNormal")
    fontstr3:SetPoint("TOPLEFT", 190,-40)
    fontstr3:SetWidth(125)
    fontstr3:SetText(L["keypush"])
    add(fontstr3)

    local fontstr4 = WeekKeys.WeekFrame:CreateFontString(nil , "ARTWORK", "GameFontNormal")
    fontstr4:SetPoint("TOPLEFT", 315,-40)
    fontstr4:SetWidth(50)
    fontstr4:SetText(L["rio"])
    add(fontstr4)

    local fontstr5 = WeekKeys.WeekFrame:CreateFontString(nil , "ARTWORK", "GameFontNormal")
    fontstr5:SetPoint("TOPLEFT", 365,-40)
    fontstr5:SetWidth(85)
    fontstr5:SetText(L["modifier"])
    add(fontstr5)

    WeekKeys.AddButton(L["mmtable"],elements)
    update()
end)